ArtifactIdentifier (Gradle API 8.11)

Package org.gradle.api.artifacts

## Interface ArtifactIdentifier

-     @Deprecated
      public interface ArtifactIdentifier

  Deprecated.
  Will be removed in Gradle 9.0.
  The identifier for a module artifact.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getClassifier()` | Deprecated. Returns the classifier of this artifact, if any.
    `java.lang.String` | `getExtension()` | Deprecated. Returns the extension of this artifact.
    `ModuleVersionIdentifier` | `getModuleVersionIdentifier()` | Deprecated. Returns the identifier of the module that owns this artifact.
    `java.lang.String` | `getName()` | Deprecated. Returns the name of this artifact.
    `java.lang.String` | `getType()` | Deprecated. Returns the type of this artifact.

- - ### Method Detail

    - #### getModuleVersionIdentifier

          ModuleVersionIdentifier getModuleVersionIdentifier()

      Deprecated.
      Returns the identifier of the module that owns this artifact.

    - #### getName

          java.lang.String getName()

      Deprecated.
      Returns the name of this artifact.

    - #### getType

          java.lang.String getType()

      Deprecated.
      Returns the type of this artifact. Often the type is the same as the extension, but sometimes this is not the case. For example for an ivy XML module descriptor, the type is ivy and the extension is xml.
      See Also:
        `getExtension()`

    - #### getExtension

          @Nullable
          java.lang.String getExtension()

      Deprecated.
      Returns the extension of this artifact. Often the extension is the same as the type, but sometimes this is not the case. For example for an ivy XML module descriptor, the type is ivy and the extension is xml.
      See Also:
        `getType()`

    - #### getClassifier

          @Nullable
          java.lang.String getClassifier()

      Deprecated.
      Returns the classifier of this artifact, if any.